---
# secret for a nextcloud postgres DB
apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: nextcloud-pgsql-credentials
spec:
  target:
    # Name for the secret to be created on the cluster
    name: nextcloud-pgsql-credentials
    deletionPolicy: Delete
    template:
      type: Opaque
      data:
        username: |-
          {{ .username }}
        postgresPassword: |-
          {{ .postgresPassword }}
        nextcloudPassword: |-
          {{ .nextcloudPassword }}
  data:
    - secretKey: postgresPassword
      sourceRef:
        storeRef:
          name: bitwarden-login
          kind: ClusterSecretStore
      remoteRef:
        key: REDACTED
        property: password

    # postgres username for nextcloud user to access nextcloud database
    - secretKey: username
      sourceRef:
        storeRef:
          name: bitwarden-login
          kind: ClusterSecretStore
      remoteRef:
        key: REDACTED
        property: username

    # postgres password for nextcloud user to access nextcloud database
    - secretKey: nextcloudPassword
      sourceRef:
        storeRef:
          name: bitwarden-login
          kind: ClusterSecretStore
      remoteRef:
        key: REDACTED
        property: password
